package fr.inria.ble_provider

import io.flutter.plugin.common.MethodChannel
import io.indoorlocation.core.IndoorLocation
import io.indoorlocation.core.IndoorLocationProviderListener
import java.lang.Error

class FlutterLocationListener(val channel: MethodChannel) : IndoorLocationProviderListener {
    override fun onProviderStarted() {
        channel.invokeMethod("onProviderStarted", null)
    }

    override fun onProviderStopped() {
        channel.invokeMethod("onProviderStopped", null)
    }

    override fun onProviderError(error: Error?) {
        channel.invokeMethod("onProviderError", error)
    }

    // Deconstructing object in primary types
    override fun onIndoorLocationChange(indoorLocation: IndoorLocation) {
        channel.invokeMethod("locationCallback", mapOf(
                "accuracy" to indoorLocation.accuracy,
                "floor" to indoorLocation.floor,
                "latitude" to indoorLocation.latitude,
                "longitude" to indoorLocation.longitude,
                "provider" to indoorLocation.provider
        ))
    }
}